Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class DefaultLoaderRepository

    java.lang.Object
      javax.management.DefaultLoaderRepository

Deprecated. Use `MBeanServer.getClassLoaderRepository()` instead.

public class DefaultLoaderRepository
extends java.lang.Object

Keeps the list of Class Loaders registered in the MBean Server. It provides the necessary methods to load classes using the registered Class Loaders.

This deprecated class is maintained for compatibility. In previous versions of the JMX API, there was one `DefaultLoaderRepository` shared by all MBean servers. As of version 1.2 of the JMX API, that functionality is approximated by using `MBeanServerFactory.findMBeanServer(java.lang.String)` to find all known MBean servers, and consulting the `ClassLoaderRepository` of each one. It is strongly recommended that code referencing `DefaultLoaderRepository` be rewritten.

Constructor Summary
`DefaultLoaderRepository()` Deprecated.

Method Summary
`static java.lang.Class` | `loadClass(java.lang.String className)` Deprecated. Go through the list of class loaders and try to load the requested class.
`static java.lang.Class` | `loadClassWithout(java.lang.ClassLoader loader, java.lang.String className)` Deprecated. Go through the list of class loaders but exclude the given class loader, then try to load the requested class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLoaderRepository

    public DefaultLoaderRepository()

  Deprecated.

Method Detail

### loadClass

    public static java.lang.Class loadClass(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Deprecated.
  Go through the list of class loaders and try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.

  Parameters:
    `className` - The name of the class to be loaded.
  Returns:
    the loaded class.
  Throws:
    `java.lang.ClassNotFoundException` - The specified class could not be found.

### loadClassWithout

    public static java.lang.Class loadClassWithout(java.lang.ClassLoader loader,
                                                   java.lang.String className)
                                            throws java.lang.ClassNotFoundException

  Deprecated.
  Go through the list of class loaders but exclude the given class loader, then try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.

  Parameters:
    `className` - The name of the class to be loaded.
    `loader` - The class loader to be excluded.
  Returns:
    the loaded class.
  Throws:
    `java.lang.ClassNotFoundException` - The specified class could not be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.